## GdauiGrid

GdauiGrid

## Synopsis

    struct              GdauiGrid;
    GtkWidget *         gdaui_grid_new                      (GdaDataModel *model);
    void                gdaui_grid_set_sample_size          (GdauiGrid *grid,
                                                             gint sample_size);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GdauiGrid

## Implemented Interfaces

GdauiGrid implements AtkImplementorIface, GtkBuildable, GtkOrientable, GdauiDataProxy and GdauiDataSelector.

## Properties

      "info"                     GdauiDataProxyInfo*   : Read
      "info-flags"               GdauiDataProxyInfoFlag  : Read / Write
      "model"                    GdaDataModel*         : Read / Write / Construct Only
      "raw-grid"                 GdauiRawGrid*         : Read

## Description

## Details

### struct GdauiGrid

    struct GdauiGrid;

### gdaui_grid_new ()

    GtkWidget *         gdaui_grid_new                      (GdaDataModel *model);

Since 4.2

### gdaui_grid_set_sample_size ()

    void                gdaui_grid_set_sample_size          (GdauiGrid *grid,
                                                             gint sample_size);

Since 4.2

## Property Details

### The `"info"` property

      "info"                     GdauiDataProxyInfo*   : Read

### The `"info-flags"` property

      "info-flags"               GdauiDataProxyInfoFlag  : Read / Write

Default value: GDAUI_DATA_PROXY_INFO_CURRENT_ROW

### The `"model"` property

      "model"                    GdaDataModel*         : Read / Write / Construct Only

### The `"raw-grid"` property

      "raw-grid"                 GdauiRawGrid*         : Read